Bug 431460 - sr# 1797534 : openmotif - List.c/ReplaceItem() segfaults when item selected
sr# 1797534 : openmotif - List.c/ReplaceItem() segfaults when item selected
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openmotif (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks: 391501
  Show dependency treegraph
 
Reported: 2008-02-04 12:45 EST by Alan Matsuoka
Modified: 2010-10-22 18:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace from nedit crash (4.12 KB, text/plain)
2008-02-04 12:45 EST, Alan Matsuoka
no flags Details
patch from upstream (499 bytes, text/x-patch)
2008-02-04 12:46 EST, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-02-04 12:45:08 EST
Description of problem:
Openmotif  - List.c/ReplaceItem() segfaults when item selected.

How reproducible:
Frequently on a local test box

Steps to Reproduce:
This issue is reproducible when using nedit.i386 on RHEL5.i386

nedit for RHEL5 can be obtained from
http://www.dil.univ-mrs.fr/linux/dil/centos/5/

$ yum install openmotif libXp
$ rpm -Uvh /path/to/nedit/package

Hope this helps. Attached patch helps in resolving this issue.

Use RHEL.x86_64

1) Run nedit, and cd a directory conatining several file and another directory.
2) select from menul "File -> Open".
3) first click on a file listed in "open file" dialog window, then click on
the directory.
4) after above steps, a file and a directory are both hightlighted;
5) finally click the "filter" button and nedit will crash.

Actual results:
nedit crashes

Expected results:
nedit should not crash

Additional info:
Upstream bug - http://bugs.motifzone .org/show_bug.cgi?id=1390
Patch attached.
Comment 1 Alan Matsuoka 2008-02-04 12:45:08 EST
Created attachment 293914 [details]
stacktrace from nedit crash
Comment 2 Alan Matsuoka 2008-02-04 12:46:08 EST
Created attachment 293916 [details]
patch from upstream
Comment 3 Phil Knirsch 2008-05-05 07:59:37 EDT
Proposing for RHEL-5.3, waiting with final ACK on developer review.

Read ya, Phil 
Comment 4 RHEL Product and Program Management 2008-06-02 16:19:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Phil Knirsch 2008-06-13 09:42:00 EDT
Granting Devel ACK.

Read ya, Phil
Comment 10 errata-xmlrpc 2009-01-20 17:17:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0247.html

Note You need to log in before you can comment on or make changes to this bug.